Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197126 - Review Request: perl-Test-Run-CmdLine - Run TAP tests from command line using the Test::Run module
Summary: Review Request: perl-Test-Run-CmdLine - Run TAP tests from command line using...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1197066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 14:43 UTC by Petr Pisar
Modified: 2015-05-11 08:17 UTC (History)
2 users (show)

Fixed In Version: perl-Test-Run-CmdLine-0.0126-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 08:17:17 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2015-02-27 14:43:18 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Test-Run-CmdLine/perl-Test-Run-CmdLine.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Test-Run-CmdLine/perl-Test-Run-CmdLine-0.0126-1.fc23.src.rpm
Description:
These Perl modules allow one to run TAP tests and analyze them from the
command line using the Test::Run module. It provides runprove tool with
command line facilities similar to Test::Harness' prove tool.

Fedora Account System Username: ppisar

Comment 1 Petr Šabata 2015-05-07 13:04:45 UTC
`examples/eumm-and-test-manifest/MyModule/.cvsignore' is write-protected, remove it with --force.

Consider using %{__perl} instead of $(perl -MConfig -e 'print $Config{startperl}').  I think it's way more readable.  Also, if you really want the latter, I suggest moving the perl(Config) build-time dependency from the `Tests' section to line #14.

If you really feel like it, you can package the script and examples as subpackages.  See the first paragraph of https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios


There aren't any real blockers.  Approving.

Comment 2 Petr Pisar 2015-05-07 13:57:02 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Run-CmdLine
Short Description: Run TAP tests from command line using the Test::Run module
Upstream URL: http://search.cpan.org/dist/Test-Run-CmdLine/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2015-05-08 16:58:39 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2015-05-11 08:17:17 UTC
Thank you for the review and the repository.

I sub-packaged the examples, I added --interactive=never to the rm command, I moved the perl(Config) dependency to build section and I did not use the %__perl because it's a shell command not suitable for shellbang lines (e.g. it contains LD_LIBRARY_PATH variable settings in collections).


Note You need to log in before you can comment on or make changes to this bug.